XCB 1.8.1

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

xvmc.h
1 /*
2 * This file generated automatically from xvmc.xml by c_client.py.
3 * Edit at your peril.
4 */
5
12 #ifndef __XVMC_H
13 #define __XVMC_H
14
15 #include "xcb.h"
16 #include "xproto.h"
17 #include "shm.h"
18 #include "xv.h"
19
20 #ifdef __cplusplus
21 extern "C" {
22 #endif
23
24 #define XCB_XVMC_MAJOR_VERSION 1
25 #define XCB_XVMC_MINOR_VERSION 1
26
27 extern xcb_extension_t xcb_xvmc_id;
28
29 typedef uint32_t xcb_xvmc_context_t;
30
34 typedef struct xcb_xvmc_context_iterator_t {
35 xcb_xvmc_context_t *data;
36 int rem;
37 int index;
38 } xcb_xvmc_context_iterator_t;
39
40 typedef uint32_t xcb_xvmc_surface_t;
41
45 typedef struct xcb_xvmc_surface_iterator_t {
46 xcb_xvmc_surface_t *data;
47 int rem;
48 int index;
49 } xcb_xvmc_surface_iterator_t;
50
51 typedef uint32_t xcb_xvmc_subpicture_t;
52
56 typedef struct xcb_xvmc_subpicture_iterator_t {
57 xcb_xvmc_subpicture_t *data;
58 int rem;
59 int index;
60 } xcb_xvmc_subpicture_iterator_t;
61
65 typedef struct xcb_xvmc_surface_info_t {
66 xcb_xvmc_surface_t id;
67 uint16_t chroma_format;
68 uint16_t pad0;
69 uint16_t max_width;
70 uint16_t max_height;
71 uint16_t subpicture_max_width;
72 uint16_t subpicture_max_height;
73 uint32_t mc_type;
74 uint32_t flags;
75 } xcb_xvmc_surface_info_t;
76
80 typedef struct xcb_xvmc_surface_info_iterator_t {
81 xcb_xvmc_surface_info_t *data;
82 int rem;
83 int index;
84 } xcb_xvmc_surface_info_iterator_t;
85
89 typedef struct xcb_xvmc_query_version_cookie_t {
90 unsigned int sequence;
91 } xcb_xvmc_query_version_cookie_t;
92
94 #define XCB_XVMC_QUERY_VERSION 0
95
99 typedef struct xcb_xvmc_query_version_request_t {
100 uint8_t major_opcode;
101 uint8_t minor_opcode;
102 uint16_t length;
103 } xcb_xvmc_query_version_request_t;
104
108 typedef struct xcb_xvmc_query_version_reply_t {
109 uint8_t response_type;
110 uint8_t pad0;
111 uint16_t sequence;
112 uint32_t length;
113 uint32_t major;
114 uint32_t minor;
115 } xcb_xvmc_query_version_reply_t;
116
120 typedef struct xcb_xvmc_list_surface_types_cookie_t {
121 unsigned int sequence;
122 } xcb_xvmc_list_surface_types_cookie_t;
123
125 #define XCB_XVMC_LIST_SURFACE_TYPES 1
126
130 typedef struct xcb_xvmc_list_surface_types_request_t {
131 uint8_t major_opcode;
132 uint8_t minor_opcode;
133 uint16_t length;
134 xcb_xv_port_t port_id;
135 } xcb_xvmc_list_surface_types_request_t;
136
140 typedef struct xcb_xvmc_list_surface_types_reply_t {
141 uint8_t response_type;
142 uint8_t pad0;
143 uint16_t sequence;
144 uint32_t length;
145 uint32_t num;
146 uint8_t pad1[20];
147 } xcb_xvmc_list_surface_types_reply_t;
148
152 typedef struct xcb_xvmc_create_context_cookie_t {
153 unsigned int sequence;
154 } xcb_xvmc_create_context_cookie_t;
155
157 #define XCB_XVMC_CREATE_CONTEXT 2
158
162 typedef struct xcb_xvmc_create_context_request_t {
163 uint8_t major_opcode;
164 uint8_t minor_opcode;
165 uint16_t length;
166 xcb_xvmc_context_t context_id;
167 xcb_xv_port_t port_id;
168 xcb_xvmc_surface_t surface_id;
169 uint16_t width;
170 uint16_t height;
171 uint32_t flags;
172 } xcb_xvmc_create_context_request_t;
173
177 typedef struct xcb_xvmc_create_context_reply_t {
178 uint8_t response_type;
179 uint8_t pad0;
180 uint16_t sequence;
181 uint32_t length;
182 uint16_t width_actual;
183 uint16_t height_actual;
184 uint32_t flags_return;
185 uint8_t pad1[20];
186 } xcb_xvmc_create_context_reply_t;
187
189 #define XCB_XVMC_DESTROY_CONTEXT 3
190
194 typedef struct xcb_xvmc_destroy_context_request_t {
195 uint8_t major_opcode;
196 uint8_t minor_opcode;
197 uint16_t length;
198 xcb_xvmc_context_t context_id;
199 } xcb_xvmc_destroy_context_request_t;
200
204 typedef struct xcb_xvmc_create_surface_cookie_t {
205 unsigned int sequence;
206 } xcb_xvmc_create_surface_cookie_t;
207
209 #define XCB_XVMC_CREATE_SURFACE 4
210
214 typedef struct xcb_xvmc_create_surface_request_t {
215 uint8_t major_opcode;
216 uint8_t minor_opcode;
217 uint16_t length;
218 xcb_xvmc_surface_t surface_id;
219 xcb_xvmc_context_t context_id;
220 } xcb_xvmc_create_surface_request_t;
221
225 typedef struct xcb_xvmc_create_surface_reply_t {
226 uint8_t response_type;
227 uint8_t pad0;
228 uint16_t sequence;
229 uint32_t length;
230 uint8_t pad1[24];
231 } xcb_xvmc_create_surface_reply_t;
232
234 #define XCB_XVMC_DESTROY_SURFACE 5
235
239 typedef struct xcb_xvmc_destroy_surface_request_t {
240 uint8_t major_opcode;
241 uint8_t minor_opcode;
242 uint16_t length;
243 xcb_xvmc_surface_t surface_id;
244 } xcb_xvmc_destroy_surface_request_t;
245
249 typedef struct xcb_xvmc_create_subpicture_cookie_t {
250 unsigned int sequence;
251 } xcb_xvmc_create_subpicture_cookie_t;
252
254 #define XCB_XVMC_CREATE_SUBPICTURE 6
255
259 typedef struct xcb_xvmc_create_subpicture_request_t {
260 uint8_t major_opcode;
261 uint8_t minor_opcode;
262 uint16_t length;
263 xcb_xvmc_subpicture_t subpicture_id;
264 xcb_xvmc_context_t context;
265 uint32_t xvimage_id;
266 uint16_t width;
267 uint16_t height;
268 } xcb_xvmc_create_subpicture_request_t;
269
273 typedef struct xcb_xvmc_create_subpicture_reply_t {
274 uint8_t response_type;
275 uint8_t pad0;
276 uint16_t sequence;
277 uint32_t length;
278 uint16_t width_actual;
279 uint16_t height_actual;
280 uint16_t num_palette_entries;
281 uint16_t entry_bytes;
282 uint8_t component_order[4];
283 uint8_t pad1[12];
284 } xcb_xvmc_create_subpicture_reply_t;
285
287 #define XCB_XVMC_DESTROY_SUBPICTURE 7
288
292 typedef struct xcb_xvmc_destroy_subpicture_request_t {
293 uint8_t major_opcode;
294 uint8_t minor_opcode;
295 uint16_t length;
296 xcb_xvmc_subpicture_t subpicture_id;
297 } xcb_xvmc_destroy_subpicture_request_t;
298
302 typedef struct xcb_xvmc_list_subpicture_types_cookie_t {
303 unsigned int sequence;
304 } xcb_xvmc_list_subpicture_types_cookie_t;
305
307 #define XCB_XVMC_LIST_SUBPICTURE_TYPES 8
308
312 typedef struct xcb_xvmc_list_subpicture_types_request_t {
313 uint8_t major_opcode;
314 uint8_t minor_opcode;
315 uint16_t length;
316 xcb_xv_port_t port_id;
317 xcb_xvmc_surface_t surface_id;
318 } xcb_xvmc_list_subpicture_types_request_t;
319
323 typedef struct xcb_xvmc_list_subpicture_types_reply_t {
324 uint8_t response_type;
325 uint8_t pad0;
326 uint16_t sequence;
327 uint32_t length;
328 uint32_t num;
329 uint8_t pad1[20];
330 } xcb_xvmc_list_subpicture_types_reply_t;
331
341 /*****************************************************************************
342 **
343 ** void xcb_xvmc_context_next
344 **
345 ** @param xcb_xvmc_context_iterator_t *i
346 ** @returns void
347 **
348 *****************************************************************************/
349
350 void
351 xcb_xvmc_context_next (xcb_xvmc_context_iterator_t *i );
352
363 /*****************************************************************************
364 **
365 ** xcb_generic_iterator_t xcb_xvmc_context_end
366 **
367 ** @param xcb_xvmc_context_iterator_t i
368 ** @returns xcb_generic_iterator_t
369 **
370 *****************************************************************************/
371
372 xcb_generic_iterator_t
373 xcb_xvmc_context_end (xcb_xvmc_context_iterator_t i );
374
384 /*****************************************************************************
385 **
386 ** void xcb_xvmc_surface_next
387 **
388 ** @param xcb_xvmc_surface_iterator_t *i
389 ** @returns void
390 **
391 *****************************************************************************/
392
393 void
394 xcb_xvmc_surface_next (xcb_xvmc_surface_iterator_t *i );
395
406 /*****************************************************************************
407 **
408 ** xcb_generic_iterator_t xcb_xvmc_surface_end
409 **
410 ** @param xcb_xvmc_surface_iterator_t i
411 ** @returns xcb_generic_iterator_t
412 **
413 *****************************************************************************/
414
415 xcb_generic_iterator_t
416 xcb_xvmc_surface_end (xcb_xvmc_surface_iterator_t i );
417
427 /*****************************************************************************
428 **
429 ** void xcb_xvmc_subpicture_next
430 **
431 ** @param xcb_xvmc_subpicture_iterator_t *i
432 ** @returns void
433 **
434 *****************************************************************************/
435
436 void
437 xcb_xvmc_subpicture_next (xcb_xvmc_subpicture_iterator_t *i );
438
449 /*****************************************************************************
450 **
451 ** xcb_generic_iterator_t xcb_xvmc_subpicture_end
452 **
453 ** @param xcb_xvmc_subpicture_iterator_t i
454 ** @returns xcb_generic_iterator_t
455 **
456 *****************************************************************************/
457
458 xcb_generic_iterator_t
459 xcb_xvmc_subpicture_end (xcb_xvmc_subpicture_iterator_t i );
460
470 /*****************************************************************************
471 **
472 ** void xcb_xvmc_surface_info_next
473 **
474 ** @param xcb_xvmc_surface_info_iterator_t *i
475 ** @returns void
476 **
477 *****************************************************************************/
478
479 void
480 xcb_xvmc_surface_info_next (xcb_xvmc_surface_info_iterator_t *i );
481
492 /*****************************************************************************
493 **
494 ** xcb_generic_iterator_t xcb_xvmc_surface_info_end
495 **
496 ** @param xcb_xvmc_surface_info_iterator_t i
497 ** @returns xcb_generic_iterator_t
498 **
499 *****************************************************************************/
500
501 xcb_generic_iterator_t
502 xcb_xvmc_surface_info_end (xcb_xvmc_surface_info_iterator_t i );
503
513 /*****************************************************************************
514 **
515 ** xcb_xvmc_query_version_cookie_t xcb_xvmc_query_version
516 **
517 ** @param xcb_connection_t *c
518 ** @returns xcb_xvmc_query_version_cookie_t
519 **
520 *****************************************************************************/
521
522 xcb_xvmc_query_version_cookie_t
523 xcb_xvmc_query_version (xcb_connection_t *c );
524
537 /*****************************************************************************
538 **
539 ** xcb_xvmc_query_version_cookie_t xcb_xvmc_query_version_unchecked
540 **
541 ** @param xcb_connection_t *c
542 ** @returns xcb_xvmc_query_version_cookie_t
543 **
544 *****************************************************************************/
545
546 xcb_xvmc_query_version_cookie_t
547 xcb_xvmc_query_version_unchecked (xcb_connection_t *c );
548
564 /*****************************************************************************
565 **
566 ** xcb_xvmc_query_version_reply_t * xcb_xvmc_query_version_reply
567 **
568 ** @param xcb_connection_t *c
569 ** @param xcb_xvmc_query_version_cookie_t cookie
570 ** @param xcb_generic_error_t **e
571 ** @returns xcb_xvmc_query_version_reply_t *
572 **
573 *****************************************************************************/
574
575 xcb_xvmc_query_version_reply_t *
576 xcb_xvmc_query_version_reply (xcb_connection_t *c ,
577 xcb_xvmc_query_version_cookie_t cookie ,
578 xcb_generic_error_t **e );
579
580 int
581 xcb_xvmc_list_surface_types_sizeof (const void *_buffer );
582
592 /*****************************************************************************
593 **
594 ** xcb_xvmc_list_surface_types_cookie_t xcb_xvmc_list_surface_types
595 **
596 ** @param xcb_connection_t *c
597 ** @param xcb_xv_port_t port_id
598 ** @returns xcb_xvmc_list_surface_types_cookie_t
599 **
600 *****************************************************************************/
601
602 xcb_xvmc_list_surface_types_cookie_t
603 xcb_xvmc_list_surface_types (xcb_connection_t *c ,
604 xcb_xv_port_t port_id );
605
618 /*****************************************************************************
619 **
620 ** xcb_xvmc_list_surface_types_cookie_t xcb_xvmc_list_surface_types_unchecked
621 **
622 ** @param xcb_connection_t *c
623 ** @param xcb_xv_port_t port_id
624 ** @returns xcb_xvmc_list_surface_types_cookie_t
625 **
626 *****************************************************************************/
627
628 xcb_xvmc_list_surface_types_cookie_t
629 xcb_xvmc_list_surface_types_unchecked (xcb_connection_t *c ,
630 xcb_xv_port_t port_id );
631
632
633 /*****************************************************************************
634 **
635 ** xcb_xvmc_surface_info_t * xcb_xvmc_list_surface_types_surfaces
636 **
637 ** @param const xcb_xvmc_list_surface_types_reply_t *R
638 ** @returns xcb_xvmc_surface_info_t *
639 **
640 *****************************************************************************/
641
642 xcb_xvmc_surface_info_t *
643 xcb_xvmc_list_surface_types_surfaces (const xcb_xvmc_list_surface_types_reply_t *R );
644
645
646 /*****************************************************************************
647 **
648 ** int xcb_xvmc_list_surface_types_surfaces_length
649 **
650 ** @param const xcb_xvmc_list_surface_types_reply_t *R
651 ** @returns int
652 **
653 *****************************************************************************/
654
655 int
656 xcb_xvmc_list_surface_types_surfaces_length (const xcb_xvmc_list_surface_types_reply_t *R );
657
658
659 /*****************************************************************************
660 **
661 ** xcb_xvmc_surface_info_iterator_t xcb_xvmc_list_surface_types_surfaces_iterator
662 **
663 ** @param const xcb_xvmc_list_surface_types_reply_t *R
664 ** @returns xcb_xvmc_surface_info_iterator_t
665 **
666 *****************************************************************************/
667
668 xcb_xvmc_surface_info_iterator_t
669 xcb_xvmc_list_surface_types_surfaces_iterator (const xcb_xvmc_list_surface_types_reply_t *R );
670
686 /*****************************************************************************
687 **
688 ** xcb_xvmc_list_surface_types_reply_t * xcb_xvmc_list_surface_types_reply
689 **
690 ** @param xcb_connection_t *c
691 ** @param xcb_xvmc_list_surface_types_cookie_t cookie
692 ** @param xcb_generic_error_t **e
693 ** @returns xcb_xvmc_list_surface_types_reply_t *
694 **
695 *****************************************************************************/
696
697 xcb_xvmc_list_surface_types_reply_t *
698 xcb_xvmc_list_surface_types_reply (xcb_connection_t *c ,
699 xcb_xvmc_list_surface_types_cookie_t cookie ,
700 xcb_generic_error_t **e );
701
702 int
703 xcb_xvmc_create_context_sizeof (const void *_buffer );
704
714 /*****************************************************************************
715 **
716 ** xcb_xvmc_create_context_cookie_t xcb_xvmc_create_context
717 **
718 ** @param xcb_connection_t *c
719 ** @param xcb_xvmc_context_t context_id
720 ** @param xcb_xv_port_t port_id
721 ** @param xcb_xvmc_surface_t surface_id
722 ** @param uint16_t width
723 ** @param uint16_t height
724 ** @param uint32_t flags
725 ** @returns xcb_xvmc_create_context_cookie_t
726 **
727 *****************************************************************************/
728
729 xcb_xvmc_create_context_cookie_t
730 xcb_xvmc_create_context (xcb_connection_t *c ,
731 xcb_xvmc_context_t context_id ,
732 xcb_xv_port_t port_id ,
733 xcb_xvmc_surface_t surface_id ,
734 uint16_t width ,
735 uint16_t height ,
736 uint32_t flags );
737
750 /*****************************************************************************
751 **
752 ** xcb_xvmc_create_context_cookie_t xcb_xvmc_create_context_unchecked
753 **
754 ** @param xcb_connection_t *c
755 ** @param xcb_xvmc_context_t context_id
756 ** @param xcb_xv_port_t port_id
757 ** @param xcb_xvmc_surface_t surface_id
758 ** @param uint16_t width
759 ** @param uint16_t height
760 ** @param uint32_t flags
761 ** @returns xcb_xvmc_create_context_cookie_t
762 **
763 *****************************************************************************/
764
765 xcb_xvmc_create_context_cookie_t
766 xcb_xvmc_create_context_unchecked (xcb_connection_t *c ,
767 xcb_xvmc_context_t context_id ,
768 xcb_xv_port_t port_id ,
769 xcb_xvmc_surface_t surface_id ,
770 uint16_t width ,
771 uint16_t height ,
772 uint32_t flags );
773
774
775 /*****************************************************************************
776 **
777 ** uint32_t * xcb_xvmc_create_context_priv_data
778 **
779 ** @param const xcb_xvmc_create_context_reply_t *R
780 ** @returns uint32_t *
781 **
782 *****************************************************************************/
783
784 uint32_t *
785 xcb_xvmc_create_context_priv_data (const xcb_xvmc_create_context_reply_t *R );
786
787
788 /*****************************************************************************
789 **
790 ** int xcb_xvmc_create_context_priv_data_length
791 **
792 ** @param const xcb_xvmc_create_context_reply_t *R
793 ** @returns int
794 **
795 *****************************************************************************/
796
797 int
798 xcb_xvmc_create_context_priv_data_length (const xcb_xvmc_create_context_reply_t *R );
799
800
801 /*****************************************************************************
802 **
803 ** xcb_generic_iterator_t xcb_xvmc_create_context_priv_data_end
804 **
805 ** @param const xcb_xvmc_create_context_reply_t *R
806 ** @returns xcb_generic_iterator_t
807 **
808 *****************************************************************************/
809
810 xcb_generic_iterator_t
811 xcb_xvmc_create_context_priv_data_end (const xcb_xvmc_create_context_reply_t *R );
812
828 /*****************************************************************************
829 **
830 ** xcb_xvmc_create_context_reply_t * xcb_xvmc_create_context_reply
831 **
832 ** @param xcb_connection_t *c
833 ** @param xcb_xvmc_create_context_cookie_t cookie
834 ** @param xcb_generic_error_t **e
835 ** @returns xcb_xvmc_create_context_reply_t *
836 **
837 *****************************************************************************/
838
839 xcb_xvmc_create_context_reply_t *
840 xcb_xvmc_create_context_reply (xcb_connection_t *c ,
841 xcb_xvmc_create_context_cookie_t cookie ,
842 xcb_generic_error_t **e );
843
856 /*****************************************************************************
857 **
858 ** xcb_void_cookie_t xcb_xvmc_destroy_context_checked
859 **
860 ** @param xcb_connection_t *c
861 ** @param xcb_xvmc_context_t context_id
862 ** @returns xcb_void_cookie_t
863 **
864 *****************************************************************************/
865
866 xcb_void_cookie_t
867 xcb_xvmc_destroy_context_checked (xcb_connection_t *c ,
868 xcb_xvmc_context_t context_id );
869
879 /*****************************************************************************
880 **
881 ** xcb_void_cookie_t xcb_xvmc_destroy_context
882 **
883 ** @param xcb_connection_t *c
884 ** @param xcb_xvmc_context_t context_id
885 ** @returns xcb_void_cookie_t
886 **
887 *****************************************************************************/
888
889 xcb_void_cookie_t
890 xcb_xvmc_destroy_context (xcb_connection_t *c ,
891 xcb_xvmc_context_t context_id );
892
893 int
894 xcb_xvmc_create_surface_sizeof (const void *_buffer );
895
905 /*****************************************************************************
906 **
907 ** xcb_xvmc_create_surface_cookie_t xcb_xvmc_create_surface
908 **
909 ** @param xcb_connection_t *c
910 ** @param xcb_xvmc_surface_t surface_id
911 ** @param xcb_xvmc_context_t context_id
912 ** @returns xcb_xvmc_create_surface_cookie_t
913 **
914 *****************************************************************************/
915
916 xcb_xvmc_create_surface_cookie_t
917 xcb_xvmc_create_surface (xcb_connection_t *c ,
918 xcb_xvmc_surface_t surface_id ,
919 xcb_xvmc_context_t context_id );
920
933 /*****************************************************************************
934 **
935 ** xcb_xvmc_create_surface_cookie_t xcb_xvmc_create_surface_unchecked
936 **
937 ** @param xcb_connection_t *c
938 ** @param xcb_xvmc_surface_t surface_id
939 ** @param xcb_xvmc_context_t context_id
940 ** @returns xcb_xvmc_create_surface_cookie_t
941 **
942 *****************************************************************************/
943
944 xcb_xvmc_create_surface_cookie_t
945 xcb_xvmc_create_surface_unchecked (xcb_connection_t *c ,
946 xcb_xvmc_surface_t surface_id ,
947 xcb_xvmc_context_t context_id );
948
949
950 /*****************************************************************************
951 **
952 ** uint32_t * xcb_xvmc_create_surface_priv_data
953 **
954 ** @param const xcb_xvmc_create_surface_reply_t *R
955 ** @returns uint32_t *
956 **
957 *****************************************************************************/
958
959 uint32_t *
960 xcb_xvmc_create_surface_priv_data (const xcb_xvmc_create_surface_reply_t *R );
961
962
963 /*****************************************************************************
964 **
965 ** int xcb_xvmc_create_surface_priv_data_length
966 **
967 ** @param const xcb_xvmc_create_surface_reply_t *R
968 ** @returns int
969 **
970 *****************************************************************************/
971
972 int
973 xcb_xvmc_create_surface_priv_data_length (const xcb_xvmc_create_surface_reply_t *R );
974
975
976 /*****************************************************************************
977 **
978 ** xcb_generic_iterator_t xcb_xvmc_create_surface_priv_data_end
979 **
980 ** @param const xcb_xvmc_create_surface_reply_t *R
981 ** @returns xcb_generic_iterator_t
982 **
983 *****************************************************************************/
984
985 xcb_generic_iterator_t
986 xcb_xvmc_create_surface_priv_data_end (const xcb_xvmc_create_surface_reply_t *R );
987
1003 /*****************************************************************************
1004 **
1005 ** xcb_xvmc_create_surface_reply_t * xcb_xvmc_create_surface_reply
1006 **
1007 ** @param xcb_connection_t *c
1008 ** @param xcb_xvmc_create_surface_cookie_t cookie
1009 ** @param xcb_generic_error_t **e
1010 ** @returns xcb_xvmc_create_surface_reply_t *
1011 **
1012 *****************************************************************************/
1013
1014 xcb_xvmc_create_surface_reply_t *
1015 xcb_xvmc_create_surface_reply (xcb_connection_t *c ,
1016 xcb_xvmc_create_surface_cookie_t cookie ,
1017 xcb_generic_error_t **e );
1018
1031 /*****************************************************************************
1032 **
1033 ** xcb_void_cookie_t xcb_xvmc_destroy_surface_checked
1034 **
1035 ** @param xcb_connection_t *c
1036 ** @param xcb_xvmc_surface_t surface_id
1037 ** @returns xcb_void_cookie_t
1038 **
1039 *****************************************************************************/
1040
1041 xcb_void_cookie_t
1042 xcb_xvmc_destroy_surface_checked (xcb_connection_t *c ,
1043 xcb_xvmc_surface_t surface_id );
1044
1054 /*****************************************************************************
1055 **
1056 ** xcb_void_cookie_t xcb_xvmc_destroy_surface
1057 **
1058 ** @param xcb_connection_t *c
1059 ** @param xcb_xvmc_surface_t surface_id
1060 ** @returns xcb_void_cookie_t
1061 **
1062 *****************************************************************************/
1063
1064 xcb_void_cookie_t
1065 xcb_xvmc_destroy_surface (xcb_connection_t *c ,
1066 xcb_xvmc_surface_t surface_id );
1067
1068 int
1069 xcb_xvmc_create_subpicture_sizeof (const void *_buffer );
1070
1080 /*****************************************************************************
1081 **
1082 ** xcb_xvmc_create_subpicture_cookie_t xcb_xvmc_create_subpicture
1083 **
1084 ** @param xcb_connection_t *c
1085 ** @param xcb_xvmc_subpicture_t subpicture_id
1086 ** @param xcb_xvmc_context_t context
1087 ** @param uint32_t xvimage_id
1088 ** @param uint16_t width
1089 ** @param uint16_t height
1090 ** @returns xcb_xvmc_create_subpicture_cookie_t
1091 **
1092 *****************************************************************************/
1093
1094 xcb_xvmc_create_subpicture_cookie_t
1095 xcb_xvmc_create_subpicture (xcb_connection_t *c ,
1096 xcb_xvmc_subpicture_t subpicture_id ,
1097 xcb_xvmc_context_t context ,
1098 uint32_t xvimage_id ,
1099 uint16_t width ,
1100 uint16_t height );
1101
1114 /*****************************************************************************
1115 **
1116 ** xcb_xvmc_create_subpicture_cookie_t xcb_xvmc_create_subpicture_unchecked
1117 **
1118 ** @param xcb_connection_t *c
1119 ** @param xcb_xvmc_subpicture_t subpicture_id
1120 ** @param xcb_xvmc_context_t context
1121 ** @param uint32_t xvimage_id
1122 ** @param uint16_t width
1123 ** @param uint16_t height
1124 ** @returns xcb_xvmc_create_subpicture_cookie_t
1125 **
1126 *****************************************************************************/
1127
1128 xcb_xvmc_create_subpicture_cookie_t
1129 xcb_xvmc_create_subpicture_unchecked (xcb_connection_t *c ,
1130 xcb_xvmc_subpicture_t subpicture_id ,
1131 xcb_xvmc_context_t context ,
1132 uint32_t xvimage_id ,
1133 uint16_t width ,
1134 uint16_t height );
1135
1136
1137 /*****************************************************************************
1138 **
1139 ** uint32_t * xcb_xvmc_create_subpicture_priv_data
1140 **
1141 ** @param const xcb_xvmc_create_subpicture_reply_t *R
1142 ** @returns uint32_t *
1143 **
1144 *****************************************************************************/
1145
1146 uint32_t *
1147 xcb_xvmc_create_subpicture_priv_data (const xcb_xvmc_create_subpicture_reply_t *R );
1148
1149
1150 /*****************************************************************************
1151 **
1152 ** int xcb_xvmc_create_subpicture_priv_data_length
1153 **
1154 ** @param const xcb_xvmc_create_subpicture_reply_t *R
1155 ** @returns int
1156 **
1157 *****************************************************************************/
1158
1159 int
1160 xcb_xvmc_create_subpicture_priv_data_length (const xcb_xvmc_create_subpicture_reply_t *R );
1161
1162
1163 /*****************************************************************************
1164 **
1165 ** xcb_generic_iterator_t xcb_xvmc_create_subpicture_priv_data_end
1166 **
1167 ** @param const xcb_xvmc_create_subpicture_reply_t *R
1168 ** @returns xcb_generic_iterator_t
1169 **
1170 *****************************************************************************/
1171
1172 xcb_generic_iterator_t
1173 xcb_xvmc_create_subpicture_priv_data_end (const xcb_xvmc_create_subpicture_reply_t *R );
1174
1190 /*****************************************************************************
1191 **
1192 ** xcb_xvmc_create_subpicture_reply_t * xcb_xvmc_create_subpicture_reply
1193 **
1194 ** @param xcb_connection_t *c
1195 ** @param xcb_xvmc_create_subpicture_cookie_t cookie
1196 ** @param xcb_generic_error_t **e
1197 ** @returns xcb_xvmc_create_subpicture_reply_t *
1198 **
1199 *****************************************************************************/
1200
1201 xcb_xvmc_create_subpicture_reply_t *
1202 xcb_xvmc_create_subpicture_reply (xcb_connection_t *c ,
1203 xcb_xvmc_create_subpicture_cookie_t cookie ,
1204 xcb_generic_error_t **e );
1205
1218 /*****************************************************************************
1219 **
1220 ** xcb_void_cookie_t xcb_xvmc_destroy_subpicture_checked
1221 **
1222 ** @param xcb_connection_t *c
1223 ** @param xcb_xvmc_subpicture_t subpicture_id
1224 ** @returns xcb_void_cookie_t
1225 **
1226 *****************************************************************************/
1227
1228 xcb_void_cookie_t
1229 xcb_xvmc_destroy_subpicture_checked (xcb_connection_t *c ,
1230 xcb_xvmc_subpicture_t subpicture_id );
1231
1241 /*****************************************************************************
1242 **
1243 ** xcb_void_cookie_t xcb_xvmc_destroy_subpicture
1244 **
1245 ** @param xcb_connection_t *c
1246 ** @param xcb_xvmc_subpicture_t subpicture_id
1247 ** @returns xcb_void_cookie_t
1248 **
1249 *****************************************************************************/
1250
1251 xcb_void_cookie_t
1252 xcb_xvmc_destroy_subpicture (xcb_connection_t *c ,
1253 xcb_xvmc_subpicture_t subpicture_id );
1254
1255 int
1256 xcb_xvmc_list_subpicture_types_sizeof (const void *_buffer );
1257
1267 /*****************************************************************************
1268 **
1269 ** xcb_xvmc_list_subpicture_types_cookie_t xcb_xvmc_list_subpicture_types
1270 **
1271 ** @param xcb_connection_t *c
1272 ** @param xcb_xv_port_t port_id
1273 ** @param xcb_xvmc_surface_t surface_id
1274 ** @returns xcb_xvmc_list_subpicture_types_cookie_t
1275 **
1276 *****************************************************************************/
1277
1278 xcb_xvmc_list_subpicture_types_cookie_t
1279 xcb_xvmc_list_subpicture_types (xcb_connection_t *c ,
1280 xcb_xv_port_t port_id ,
1281 xcb_xvmc_surface_t surface_id );
1282
1295 /*****************************************************************************
1296 **
1297 ** xcb_xvmc_list_subpicture_types_cookie_t xcb_xvmc_list_subpicture_types_unchecked
1298 **
1299 ** @param xcb_connection_t *c
1300 ** @param xcb_xv_port_t port_id
1301 ** @param xcb_xvmc_surface_t surface_id
1302 ** @returns xcb_xvmc_list_subpicture_types_cookie_t
1303 **
1304 *****************************************************************************/
1305
1306 xcb_xvmc_list_subpicture_types_cookie_t
1307 xcb_xvmc_list_subpicture_types_unchecked (xcb_connection_t *c ,
1308 xcb_xv_port_t port_id ,
1309 xcb_xvmc_surface_t surface_id );
1310
1311
1312 /*****************************************************************************
1313 **
1314 ** xcb_xv_image_format_info_t * xcb_xvmc_list_subpicture_types_types
1315 **
1316 ** @param const xcb_xvmc_list_subpicture_types_reply_t *R
1317 ** @returns xcb_xv_image_format_info_t *
1318 **
1319 *****************************************************************************/
1320
1321 xcb_xv_image_format_info_t *
1322 xcb_xvmc_list_subpicture_types_types (const xcb_xvmc_list_subpicture_types_reply_t *R );
1323
1324
1325 /*****************************************************************************
1326 **
1327 ** int xcb_xvmc_list_subpicture_types_types_length
1328 **
1329 ** @param const xcb_xvmc_list_subpicture_types_reply_t *R
1330 ** @returns int
1331 **
1332 *****************************************************************************/
1333
1334 int
1335 xcb_xvmc_list_subpicture_types_types_length (const xcb_xvmc_list_subpicture_types_reply_t *R );
1336
1337
1338 /*****************************************************************************
1339 **
1340 ** xcb_xv_image_format_info_iterator_t xcb_xvmc_list_subpicture_types_types_iterator
1341 **
1342 ** @param const xcb_xvmc_list_subpicture_types_reply_t *R
1343 ** @returns xcb_xv_image_format_info_iterator_t
1344 **
1345 *****************************************************************************/
1346
1347 xcb_xv_image_format_info_iterator_t
1348 xcb_xvmc_list_subpicture_types_types_iterator (const xcb_xvmc_list_subpicture_types_reply_t *R );
1349
1365 /*****************************************************************************
1366 **
1367 ** xcb_xvmc_list_subpicture_types_reply_t * xcb_xvmc_list_subpicture_types_reply
1368 **
1369 ** @param xcb_connection_t *c
1370 ** @param xcb_xvmc_list_subpicture_types_cookie_t cookie
1371 ** @param xcb_generic_error_t **e
1372 ** @returns xcb_xvmc_list_subpicture_types_reply_t *
1373 **
1374 *****************************************************************************/
1375
1376 xcb_xvmc_list_subpicture_types_reply_t *
1377 xcb_xvmc_list_subpicture_types_reply (xcb_connection_t *c ,
1378 xcb_xvmc_list_subpicture_types_cookie_t cookie ,
1379 xcb_generic_error_t **e );
1380
1381
1382 #ifdef __cplusplus
1383 }
1384 #endif
1385
1386 #endif
1387